﻿using Infragistics.Win.UltraWinStatusBar;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            var progressBarPanel1 = this.ultraStatusBar1.Panels.Add("ProgressBar1", PanelStyle.Progress);
            progressBarPanel1.ProgressBarInfo.Minimum = 0;
            progressBarPanel1.ProgressBarInfo.Maximum = 265;

            var progressBarPanel2 = this.ultraStatusBar1.Panels.Add("ProgressBar2", PanelStyle.Progress);
            progressBarPanel2.ProgressBarInfo.Minimum = 0;
            progressBarPanel2.ProgressBarInfo.Maximum = 100;
        }

        private void btn0to265_Click(object sender, EventArgs e)
        {
            var progressBarPanel1 = this.ultraStatusBar1.Panels["ProgressBar1"];
            for (int i = 0; i <= 265; i++)
            {                
                progressBarPanel1.ProgressBarInfo.Value = i;
                this.ultraStatusBar1.Refresh();
            }
        }

        private void btn0to100_Click(object sender, EventArgs e)
        {
            var progressBarPanel1 = this.ultraStatusBar1.Panels["ProgressBar2"];
            for (int i = 0; i <= 265; i++)
            {
                double percentageD = ((double)i / (double)265) * 100;
                int percentage = (int)percentageD;                
                progressBarPanel1.ProgressBarInfo.Value = percentage;
                this.ultraStatusBar1.Refresh();
            }
        }
    }
}
